[Git][java-team/ca-certificates-java][master] Fix some nitpick reported by arnaudr

Bastien Roucariès (@rouca) gitlab at salsa.debian.org
Wed Feb 25 14:36:04 GMT 2026



Bastien Roucariès pushed to branch master at Debian Java Maintainers / ca-certificates-java


Commits:
39068952 by Bastien Roucariès at 2026-02-25T15:35:31+01:00
Fix some nitpick reported by arnaudr

co-author: Arnaud Rebillout <arnaudr at debian.org>

- - - - -


1 changed file:

- debian/ca-certificates-java.postinst


Changes:

=====================================
debian/ca-certificates-java.postinst
=====================================
@@ -29,12 +29,15 @@ check_cacerts_store_format()
 {
     local file="$1"
     local pass="$2"
+    local output=
+    local type=
+    local status=
 
-    output=$(LC_ALL="C" keytool -list -keystore "$file" -storepass "$pass" 2>&1)
+    output=$(keytool -list -keystore "$file" -storepass "$pass" 2>&1)
     status=$?
     if [ $status -ne 0 ] ; then
-        echo >&2 "ERROR: keytool probing '$file' failed (exit code $status)" >&2
-        echo "$output" >&2
+        echo "ERROR: keytool probing '$file' failed (exit code $status)" >&2
+        echo "$output" | head >&2
         return $status
     fi
 
@@ -53,8 +56,7 @@ check_cacerts_store_format()
     )
 
     if [ -z "$type" ]; then
-        echo >&2 "ERROR: keytool probing '$file' failed to find keystore type" >&2
-        echo "$output" >&2
+        echo "ERROR: keytool probing '$file' failed to find keystore type" >&2
         return 1
     fi
 
@@ -80,7 +82,7 @@ convert_pkcs12_keystore_to_jks()
         # continue
         ;;
     *)
-        echo "failed to convert PKCS12 keystore to JKS unknown /etc/ssl/certs/java/cacerts format '$type'" >&2
+        echo "failed to convert PKCS12 keystore to JKS, unknown /etc/ssl/certs/java/cacerts format '$type'" >&2
         exit 1
         ;;
     esac



View it on GitLab: https://salsa.debian.org/java-team/ca-certificates-java/-/commit/3906895218715a521086c71ab138eb6acfed2d50

-- 
View it on GitLab: https://salsa.debian.org/java-team/ca-certificates-java/-/commit/3906895218715a521086c71ab138eb6acfed2d50
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/pkg-java-commits/attachments/20260225/f51a4bff/attachment.htm>


More information about the pkg-java-commits mailing list